All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::detail Namespace Reference

Type of a subspace of a tensor. More...

## Classes

class | SubTensor
| A `SubDim`-rank slice of a parent Tensor. More...
class | SubTensor< TensorType, 0, PtrTraits >
| Specialization for a view of a single value (0-dimensional) More...

## Functions

template<typename IndexType >
bool | canCastIndexType ()
template<typename IndexType , typename T , typename... U>
bool | canCastIndexType (const T &arg, const U &...args)

## Detailed Description

Type of a subspace of a tensor.